Subject: Re: bug#65205: 30.0.50; hangs xim when ibus goes away
From: Eli Zaretskii <[email-masked]>
To: Po Lu <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Sat, 12 Aug 2023 10:06:02 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Cc: [email-masked]
> Date: Thu, 10 Aug 2023 20:57:28 +0800
> From:  Po Lu via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> Madhu <[email-masked]> writes:
> 
> > Emacs hangs in xlib's Ximread (when the ibus daemon goes away and I
> > think in other some situations even not using ibus but just xkb). I'm
> > attaching a full backtrace which may be more verbose than
> > desired. Maybe it is possible to work around this case, or suggest
> > something some way xlib could handle it. -- Madhu
> 
> This is a twenty-five year old bug in the sample Xlib's implementation
> of the X protocol XIM transport.  If an input method crashes, its
> transfer window is destroyed by the X server, while Xlib thoughtlessly
> continues waiting for events to be delivered from it...
> 
> We can do nothing about this problem except ask the I-Bus developers to
> fix their crashes.  Meanwhile, you can disable XIM
> 
>   Emacs.useXIM: false

Thanks, I've now added an entry about this to etc/PROBLEMS, and I'm
closing this bug.